<?php

$profileModuleEnable = $this->module()->isActive('profile');
?>

<div ng-controller="syntheseTabController as self">
    <div class="row">
        <div class="col-sm-4">
            <div class="table-filters little-panel">
                <div class="title" data-toggle="collapse" href="#filters-collapsed-synthese">
                    <?= $this->icon('filters', 'fa-fw') ?>
                    <?= $this->translate('filters') ?>
                </div>
                <div id="filters-collapsed-synthese" class="body collapse">
                    <?= $this->tableFilter('self.timesheetFilters', $this->timesheetFilters(['project'])); ?>
                    <div class="row">
                        <div class="col-xs-6">
                            <button class="btn" ng-click="self.resetFilters(); self.getData()"><?= $this->translate('table_filter_reset_button') ?></button>
                        </div>
                        <div class="col-xs-6 text-right">
                            <button class="btn" ng-click="self.getData()">
                                <?= $this->icon('search', 'fa-fw') ?>
                                <?= $this->translate('table_filter_button') ?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-sm-offset-4 col-sm-4">
            <input ng-model="self.children" type="checkbox" name="children" id="children">
            <label for="children"><?= $this->translate('with_children_project') ?></label>
        </div>
    </div>
    <div class="row separator">
        <div class="col-sm-6 col-sm-offset-3">
            <table class="table table-bordered">
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_project_globalTimeTarget') ?></th>
                    <td ng-if="self.children">{{ self.data.globalTimeTargetArbo | number: 2 }} <?= $this->translate('hours') ?></td>
                    <td ng-if="!self.children">{{ self.data.globalTimeTarget | number: 2 }} <?= $this->translate('hours') ?></td>
                </tr>
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_time_done_users') ?></th>
                    <td ng-if="self.children">{{ self.data.timeSpentArbo | number: 2 }} <?= $this->translate('hours') ?></td>
                    <td ng-if="!self.children">{{ self.data.timeSpent | number: 2 }} <?= $this->translate('hours') ?></td>
                    <?php if ($profileModuleEnable) : ?>
                        <td ng-if="self.children">
                            {{ self.data.costSpentArbo || 0 | currency : '' }} €
                        </td>
                        <td ng-if="!self.children">
                            {{ self.data.costSpent || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                </tr>
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_time_left_project') ?></th>
                    <td ng-if="self.children">{{ self.data.globalTimeTargetArbo | number: 2 }} - {{ self.data.timeSpentArbo | number: 2 }} = {{ self.data.globalTimeTargetArbo - self.data.timeSpentArbo | number: 2 }} <?= $this->translate('hours') ?></td>
                    <td ng-if="!self.children">{{ self.data.globalTimeTarget | number: 2 }} - {{ self.data.timeSpent | number: 2 }} = {{ self.data.globalTimeTarget - self.data.timeSpent | number: 2 }} <?= $this->translate('hours') ?></td>
                </tr>
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_time_target_users') ?></th>
                    <td ng-if="self.children">{{ self.data.timeTargetArbo }} <?= $this->translate('hours') ?></td>
                    <td ng-if="!self.children">{{ self.data.timeTarget }} <?= $this->translate('hours') ?></td>
                    <?php if ($profileModuleEnable) : ?>
                        <td ng-if="self.children">
                            {{ self.data.costTargetArbo || 0 | currency : '' }} €
                        </td>
                        <td ng-if="!self.children">
                            {{ self.data.costTarget || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                </tr>
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_time_target_left') ?></th>
                    <td ng-if="self.children">{{ self.data.globalTimeTargetArbo | number: 2 }} - {{ self.data.timeTargetArbo | number: 2 }} = {{ self.data.globalTimeTargetArbo - self.data.timeTargetArbo | number: 2 }} <?= $this->translate('hours') ?></td>
                    <td ng-if="!self.children">{{ self.data.globalTimeTarget | number: 2 }} - {{ self.data.timeTarget | number: 2 }} = {{ self.data.globalTimeTarget - self.data.timeTarget | number: 2 }} <?= $this->translate('hours') ?></td>
                </tr>
                <tr>
                    <th class="header"><?= $this->translate('time_synthese_time_ratio') ?></th>
                    <td>
                        <div class="progress">
                            <div ng-if="self.children" class="progress-bar" ng-style="{ width: ((self.data.timeSpentArbo / self.data.timeTargetArbo * 100 ) > 100 ? 100 : (self.data.timeSpentArbo / self.data.timeTargetArbo * 100 )) + '%' }">
                                {{ self.data.timeSpentArbo / self.data.timeTargetArbo * 100 | number: 1 }}%
                            </div>
                            <div ng-if="!self.children" class="progress-bar" ng-style="{ width: ((self.data.timeSpent / self.data.timeTarget * 100 ) > 100 ? 100 : (self.data.timeSpent / self.data.timeTarget * 100 )) + '%' }">
                                {{ self.data.timeSpent / self.data.timeTarget * 100 | number: 1 }}%
                            </div>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
    <div class="row separator">
        <div class="col-sm-12">
            <div class="text-center"><b><?= $this->translate('user_time_repartition') ?></b></div>
            <table class="table table-bordered table">
                <thead>
                    <tr>
                        <th ng-click="self.sortBy('user.name')"><?= $this->translate('timesheet_field_user') ?>
                            <span class="sortorder" ng-show="self.propertyName === 'user.name'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php if ($profileModuleEnable) : ?>
                            <th ng-click="self.sortBy('profile')"><?= $this->translate('timesheet_type_profile') ?>
                                <span class="sortorder" ng-show="self.propertyName === 'profile'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php endif; ?>
                        <th ng-click="self.sortBy('done')"><?= $this->translate('timesheet_type_done') ?>
                            <span class="sortorder" ng-show="self.propertyName === 'done'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php if ($profileModuleEnable) : ?>
                            <th ng-click="self.sortBy('done_cost')"><?= $this->translate('timesheet_type_done_cost') ?>
                                <span class="sortorder" ng-show="self.propertyName === 'done_cost'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php endif; ?>
                        <th ng-click="self.sortBy('target')"><?= $this->translate('timesheet_type_target') ?>
                            <span class="sortorder" ng-show="self.propertyName === 'target'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php if ($profileModuleEnable) : ?>
                            <th ng-click="self.sortBy('target_cost')"><?= $this->translate('timesheet_type_target_cost') ?>
                                <span class="sortorder" ng-show="self.propertyName === 'target_cost'" ng-class="{reverse: self.reverse}"></span></th>
                        <?php endif; ?>
                        <th>%</th>

                    </tr>
                </thead>
                <tr ng-if="self.children" ng-repeat="line in self.arrayUserTimeArbo">
                    <td>{{line.user.name}}</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">{{line.user.profile}}</td>
                    <?php endif; ?>
                    <td class="text-right">{{line.done | number: 2 }} h.</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">
                            {{ line.done_cost || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                    <td class="text-right">{{line.target | number: 2 }} h.</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">
                            {{ line.target_cost || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                    <td style="width: 25%;">
                        <div class="progress">
                            <div class="progress-bar" ng-style="{ width: ((line.done / line.target * 100) > 100 ? 100 : (line.done / line.target * 100)) + '%'}">
                                {{line.done / line.target * 100 | number: 1}}%
                            </div>
                        </div>
                    </td>

                </tr>
                <tr ng-if="!self.children" ng-repeat="line in self.arrayUserTime">
                    <td>{{line.user.name}}</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">{{line.user.profile}}</td>
                    <?php endif; ?>
                    <td class="text-right">{{line.done | number: 2 }} h.</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">
                            {{ line.done_cost || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                    <td class="text-right">{{line.target | number: 2 }} h.</td>
                    <?php if ($profileModuleEnable) : ?>
                        <td class="text-right">
                            {{ line.target_cost || 0 | currency : '' }} €
                        </td>
                    <?php endif; ?>
                    <td style="width: 25%;">
                        <div class="progress">
                            <div class="progress-bar" ng-style="{ width: ((line.done / line.target * 100) > 100 ? 100 : (line.done / line.target * 100)) + '%'}">
                                {{line.done / line.target * 100 | number: 1}}%
                            </div>
                        </div>
                    </td>

                </tr>
            </table>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="text-center"><b><?= $this->translate('project_time_repartition') ?></b></div>
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th><?= ucfirst($this->translate('project_entity')) ?></th>
                        <th><?= $this->translate('time_synthese_project_globalTimeTarget') ?></th>
                        <th><?= $this->translate('time_synthese_time_done_users') ?></th>
                        <th><?= $this->translate('time_synthese_time_target_users') ?></th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="project in self.data.hierarchySub">
                        <td><a ng-style="{ marginLeft: (((project.level - self.data.level) * 20) - 20) + 'px', display: 'block'}" href="<?= $this->url('project/form') ?>/{{project.id}}">{{ project.code ? project.code + ' - ' : '' }}{{ project.name }}</a></td>
                        <td class="text-right">{{ project.globalTimeTargetArbo | number: 2 }} h.</td>
                        <td class="text-right">{{ project.timeSpentArbo | number: 2 }} h.</td>
                        <td class="text-right">{{ project.timeTargetArbo | number: 2 }} h.</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
<style>
    .sortorder:after {
        content: '\25b2';
    }

    .sortorder.reverse:after {
        content: '\25bc';
    }
</style>